> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get userv1

> Gets user information for the given user.



## OpenAPI

````yaml /openapis/user.json get /user/v1/{userId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: user
    description: >-
      Lets you get information about users and groups (beta version, subject to
      change)
paths:
  /user/v1/{userId}:
    get:
      tags:
        - user
      description: Gets user information for the given user.
      operationId: user:v1beta1.User.getUser
      parameters:
        - name: userId
          in: path
          description: The email address of a user
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiUser response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUser'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiUser:
      type: object
      properties:
        aliases:
          type: array
          description: Email aliases of the user
          items:
            type: string
        availableDomains:
          type: array
          description: The user available domains
          items:
            type: string
        availableStorageServices:
          type: array
          description: Attachment storage services available for library creation.
          items:
            type: string
            enum:
              - GOOGLE_DRIVE
              - AODOCS_MANAGED_CLOUD
              - GOOGLE_CLOUD_STORAGE
              - AZURE_BLOB_STORAGE
              - SHAREPOINT_EMBEDDED
        canAccessDrive:
          type: boolean
          description: Whether this user can access Drive
        canCreateLibraries:
          type: boolean
          description: Whether this user can creates libraries within this domain
        canCreateLibrariesOfTypes:
          type: array
          description: The types of library this user can create
          items:
            $ref: '#/components/schemas/ApiLibraryCreationType'
        defaultDomain:
          type: string
          description: The user default domain
        domain:
          type: string
          description: The user domain
        email:
          type: string
          description: The user email
        external:
          type: boolean
          description: Whether this user is external
        googleEmailAddress:
          type: boolean
          description: Whether the email address is tied to a Google account
        groupAliases:
          type: array
          description: Aliases of the groups this user belongs to.
          items:
            type: string
        groups:
          type: array
          description: The groups this user belongs to.
          items:
            type: string
        impersonable:
          type: boolean
          description: Whether this user can be impersonated
        kind:
          type: string
        landingLabel:
          $ref: '#/components/schemas/ApiReferenceCatalogValue'
        lastEdit:
          type: string
          format: date-time
          description: The last time the user data has been edited
        lastLogin:
          type: string
          format: date-time
          description: The last time user logged in
        locale:
          type: string
          description: The preferred locale of the user
        name:
          type: string
          description: The user name
        namespace:
          type: string
          description: Immutable domain identifier
        notifications:
          type: array
          description: The user notification configurations per library and class
          items:
            $ref: '#/components/schemas/ApiConfigNotification'
        permissionIds:
          type: array
          description: Permission ids this user has
          items:
            type: string
        standalone:
          type: boolean
        superAdmin:
          type: boolean
          description: Whether this user is a super administrator
        thumbnailPictureUrl:
          type: string
          description: The user thumbnail picture URL
        timezone:
          type: string
          description: The preferred timezone of the user
        useDelayedVersion:
          type: boolean
    ApiLibraryCreationType:
      type: object
      properties:
        creationType:
          type: string
          enum:
            - TEAM_FOLDER
            - SECURED_FOLDER
            - DOCUMENT_MANAGEMENT
            - DOCUMENT_MANAGEMENT_OBJECT_STORAGE
    ApiReferenceCatalogValue:
      type: object
      properties:
        createdAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was created
            (read-only field)
        deleted:
          type: boolean
          description: Whether the catalog value should be marked as deleted
        id:
          type: string
          description: The ID of the reference catalog value
        kind:
          type: string
        lastModifiedAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was last modified
            (read-only field)
        leaf:
          type: boolean
          description: Whether the value has children values (read-only field)
        level:
          type: integer
          format: int32
          description: >-
            The level of the reference catalog value in the hieararchical
            structure. Level 0 is the first level that has no ancestors
            (read-only field)
        name:
          type: string
          description: The name of the reference catalog value
        parent:
          type: string
          description: The id of the parent of the reference catalog value
        parentIds:
          type: array
          description: >-
            The id's of the ancestors of the reference catalog value (read-only
            field)
          items:
            type: string
        rank:
          type: integer
          format: int32
          description: >-
            Rank of the reference catalog value used for sorting, accepting
            positive integers only
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog (read-only field)
    ApiConfigNotification:
      type: object
      properties:
        classId:
          type: string
          description: >-
            The class ID this notification configuration applies to, or null for
            all classes
        className:
          type: string
          description: >-
            The class name this notification configuration applies to, or null
            for all classes
        frequency:
          type: string
          description: The notification frequency for this library/class
          enum:
            - DAILY
            - IMMEDIATELY
            - NEVER
            - WEEKLY
        libraryId:
          type: string
          description: The library ID this notification configuration applies to
        libraryName:
          type: string
          description: The library name this notification configuration applies to
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````